<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util">
  

  <xsl:template name="collection-specific-prefs">
    <h3><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.searchpref')"/></h3>
    <div id="searchprefs">
      <xsl:for-each select="/page/pageResponse/collection/serviceList/service[@name='TextQuery']/paramList/param[@name='case']">
	<xsl:call-template name="param-display"/>
      </xsl:for-each>
      <xsl:for-each select="/page/pageResponse/collection/serviceList/service[@name='TextQuery']/paramList/param[@name='stem']">
	<xsl:call-template name="param-display"/>
      </xsl:for-each>
      <xsl:for-each select="/page/pageResponse/collection/serviceList/service[@name='TextQuery']/paramList/param[@name='accent']">
	<xsl:call-template name="param-display"/>
      </xsl:for-each>
      <xsl:for-each select="/page/pageResponse/collection/serviceList/service[@name='TextQuery']/paramList/param[@name='hitsPerPage']">
	<xsl:call-template name="param-display"/>
      </xsl:for-each>
      <xsl:for-each select="/page/pageResponse/collection/serviceList/service[@name='TextQuery']/paramList/param[@name='maxDocs']">
	<xsl:call-template name="param-display"/>
      </xsl:for-each>
    </div>
  </xsl:template>

</xsl:stylesheet>
